incubator-ooo-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
Subject [Bug 109279] Java extensions cannot be installed in some environments
Date Wed, 20 Jun 2012 11:43:41 GMT

--- Comment #6 from cfries <> ---
Just a few remarks:
- The unhelpful error message still exists, but now it reads "Could not create
java implementation loader".
- The error message is not related to a ubuntu having a partial OO
installation. The problem appears if you have OO installed without Java. You
can even reproduce the problem by
a) Uncheck "Use Java" in OpenOffice->Tools->Options->Java (or
OpenOffice->Preferences->Java for OS X).
b) Try to install an extension that relies on Java, like Obba.oxt.

For me as an extension programmer it is not possible to check if Java is
installed upon registration of my extension.

The bug I filed is just about the dialog being totally unhelpful. Howabout:

"Could not create java implementation loader. This extension requires a Java
runtime. Ensure that a Java runtime in installed and enabled in Options->Java.

Regarding you last question: If my program would encounter an exception due to
the user having deleted, I would always try to keep the dialog helpful
and advice on what to do to fix the problem. Not only what couldn't be done.
Actually, you find many OO users asking forums of extension developers what to
do when they encounter "Could not create java implementation loader".

You are receiving this mail because:
You are on the CC list for the bug.

View raw message